tigase.component.modules

## Class StanzaProcessor

- java.lang.Object
- - tigase.component.modules.StanzaProcessor

-     @Bean(name="stanzaProcessor",
            active=true)
      public class StanzaProcessor
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StanzaProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Module>` | `getModules()`
    `ResponseManager` | `getResponseManager()`
    `PacketWriter` | `getWriter()`
    `void` | `processPacket(Packet packet)`
    `void` | `sendException(Packet packet, ComponentException e)` Converts `ComponentException` to XMPP error stanza and sends it to sender of packet.
    `void` | `setModules(List<Module> modules)`
    `void` | `setResponseManager(ResponseManager responseManager)`
    `void` | `setWriter(PacketWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StanzaProcessor

          public StanzaProcessor()

  - ### Method Detail

    - #### getModules

          public List<Module> getModules()

    - #### setModules

          public void setModules(List<Module> modules)

    - #### getResponseManager

          public ResponseManager getResponseManager()

    - #### setResponseManager

          public void setResponseManager(ResponseManager responseManager)

    - #### getWriter

          public PacketWriter getWriter()

    - #### setWriter

          public void setWriter(PacketWriter writer)

    - #### processPacket

          public void processPacket(Packet packet)

    - #### sendException

          public void sendException(Packet packet,
                                    ComponentException e)

      Converts `ComponentException` to XMPP error stanza and sends it to sender of packet.
      Parameters:
        `packet` - packet what caused exception.
        `e` - exception.

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.